commit:     ed296e50ca2282b06ff280d62a876239f1a46a09
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 22 11:42:23 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Dec 22 11:43:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed296e50

sys-process/htop: Bump to version 3.0.4

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-process/htop/Manifest          |  1 +
 sys-process/htop/htop-3.0.4.ebuild | 67 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sys-process/htop/Manifest b/sys-process/htop/Manifest
index c6eae48c37a..bb6f3155610 100644
--- a/sys-process/htop/Manifest
+++ b/sys-process/htop/Manifest
@@ -2,3 +2,4 @@ DIST htop-2.2.0.tar.gz 308109 BLAKE2B 
323a3bfe5032b6d59a3f751831a2af6aa7ae7e9ecc
 DIST htop-3.0.1.tar.gz 179925 BLAKE2B 
d722bc49d7b546aec1359a5dc838e0f6cc4b17f8d2d2c59fd7fbeaf827233f658ea819f4c69832af5cfd4f836d3d66c223a9580037cf8d6d2ae28c6a6b3499b5
 SHA512 
0d6a1b0839a94f01429c85a459b0c6439051d1b6e69bf77c6b3bb31c81902a3127936ab9adc5bf1807f4b3d7b10a177a89fb9b883931f8dcf828ed06727d6945
 DIST htop-3.0.2.tar.gz 176132 BLAKE2B 
9abc28461d346eeac7f9741bc1ba08c898d00be013abce972be4370b9b35d92661fcb4521fa715bc779c1c9b56bc3c0eeb5375c0df8ec7585df3774ac67ca504
 SHA512 
5b578972e40e3229aa8b2bdc931c4c8bceaafd2a150b02e0257ab35a4fbac25852e959ecc472bd6747be57ea8734b59cc4b872a5ac829624cc80e1722c54d868
 DIST htop-3.0.3.tar.gz 292925 BLAKE2B 
7e227188e3954c0cb273b4bc95eaf2e11237daca3d929d4674dcdfc987c4af26e4b08da2b0f184d6d3e06952dee5704e468bf4b7bc03dfa0b6602c058beac495
 SHA512 
208eff95a0df3ab38f5e3175bb34420c8833ad630c797825a3fb188a1111476a3287aa5f53511c83da90d181afc3e6ea246ea01fbc3227466c5c928a5d70badc
+DIST htop-3.0.4.tar.gz 296224 BLAKE2B 
b8fc4fe7c595f0a22b253f1eeea24d571c87401a426b8f6dba0ce15d98ea77ca94bc286428386cbf478f0e7ea4afde0e86e5e6b93bb88af616ba474e45e745f5
 SHA512 
d57e4fd326791bd2306f4a6ce2c4f4bf0499a0050efbaeb71a211148fa52993f707d8afdf0292dc26234cffdcba84a97e1d4422bc61aec40ba3ef9ebd91ebf6c

diff --git a/sys-process/htop/htop-3.0.4.ebuild 
b/sys-process/htop/htop-3.0.4.ebuild
new file mode 100644
index 00000000000..1e6c67cacd0
--- /dev/null
+++ b/sys-process/htop/htop-3.0.4.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools linux-info python-any-r1
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop";
+SRC_URI="https://github.com/htop-dev/${PN}/archive/${PV/_}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+IUSE="debug hwloc kernel_FreeBSD kernel_linux lm-sensors openvz unicode 
vserver"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="sys-libs/ncurses:0=[unicode?]
+       hwloc? ( sys-apps/hwloc )
+       lm-sensors? ( sys-apps/lm-sensors )"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+S="${WORKDIR}/${P/_}"
+
+pkg_setup() {
+       if ! has_version sys-process/lsof; then
+               ewarn "To use lsof features in htop (what processes are 
accessing"
+               ewarn "what files), you must have sys-process/lsof installed."
+       fi
+
+       python-any-r1_pkg_setup
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       [[ $CBUILD != $CHOST ]] && export ac_cv_file__proc_{meminfo,stat}=yes 
#328971
+
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_enable hwloc)
+               $(use_enable openvz)
+               $(use_enable unicode)
+               $(use_enable vserver)
+               $(use_with lm-sensors sensors)
+       )
+
+       if ! use hwloc && use kernel_linux ; then
+               myeconfargs+=( --enable-linux-affinity )
+       else
+               myeconfargs+=( --disable-linux-affinity )
+       fi
+
+       econf ${myeconfargs[@]}
+}

Reply via email to